Replace User Workspace
PATCH/user/{id}/workspace/{workspaceId}
Updates a specific workspace relation for a user.
Path Parameters
UUID of the user.
The unique identifier of the workspace.
Request Body
ID of the workspace (alternative to path parameter).
Name of the workspace.
User's status in this workspace. Accepted values: active, archived.
List of groups to assign the user to in this workspace.
Error Responses
User account is archived, group not found, invalid group type, or end-user/editable group conflict.
User seat limit exceeded.
External API disabled, missing EXTERNAL_API license, or invalid Authorization token.
User not found.
Request
curl -X PATCH "https://{your-domain}/api/ext/user/{id}/workspace/{workspaceId}" -H "Authorization: Basic <access_token>" -H "Content-Type: application/json" -d '{
"status": "archived",
"groups": [
{
"name": "all_users"
}
]
}'Response: 200